Package net.shibboleth.idp.installer.impl

# Class InstalledMetadataParameters

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.installer.impl.InstalledMetadataParameters

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MetadataGeneratorParameters`, `TemplateMetadataGeneratorParameters`

public class InstalledMetadataParameters extends AbstractInitializableComponent implements TemplateMetadataGeneratorParameters
Parameters to metadata generation.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<Pair<String,String>>`
`artifactServices`
artifact services.
`private File`
`backChannelCert`
The file with the certificate that TLS uses to 'sign'.
`private String`
`contextPath`
The base URL for IdP endpoints.
`private String`
`dnsName`
The DNS name.
`private File`
`encryptionCert`
The file with the certificate the IDP uses to encrypt.
`private String`
`entityID`
The entityID.
`private final org.slf4j.Logger`
`log`
Logger.
`private List<Pair<String,String>>`
`logoutServices`
logout services.
`private String`
`scope`
The scope.
`private File`
`signingCert`
The file with the certificate the IDP uses to sign.
`private List<Pair<String,String>>`
`ssoServices`
sso services.

## Constructor Summary

Constructors
Constructor
Description
`InstalledMetadataParameters()`

## Method Summary

Modifier and Type
Method
Description
`private <T extends Endpoint>
Collection<T>`
`convertEndpoints(BiFunction<String,List<String>,T> converter, List<String> protocols, Collection<Pair<String,String>> input)`
Convert the expressions into endpoints.
`protected void`
`doInitialize()`
`Set<Namespace>`
`getAdditionalNamespaces()`
`String`
`getDescription()`
`String`
`getDisplayName()`
`private String`
`getEncodedCertificate(File file)`
Load a certificate from a file in a standard format and produce a base64-encoded DER string.
`List<String>`
`getEncryptionCertificates()`
`String`
`getEntityID()`
`IDPSSODescriptor`
`getIDPSSODescriptor()`
`String`
`getLang()`
`Logo`
`getLogo()`
`List<String>`
`getScopes()`
`List<String>`
`getSigningCertificates()`
`void`
`setBackchannelCertResource(Resource resource)`
Set the Backchannel Certificate.
`void`
`setContextPath(String what)`
Sets the context path for IdP endpoints.
`void`
`setDnsName(String name)`
Sets the dns name.
`void`
`setEncryptionCertResource(Resource resource)`
Set the encryption Certificate file.
`void`
`setEntityID(String id)`
Sets the entityID.
`void`
`setScope(String value)`
Sets the scope.
`void`
`setSigningCertResource(Resource resource)`
Set the signing Certificate file.
`private void`
`setupSevices()`
Setup services lists `logoutServices` {#link `ssoServices`, consulting `contextPath`.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.metadata.generator.impl.MetadataGeneratorParameters

`getAttributeAuthorityDescriptor, getCertificates, getContactPersons, getOrganizationName, getOrganizationURL, getSPSSODescriptor, getTagAssignments, isOmitNamespaceDeclarations`

### Methods inherited from interface org.opensaml.saml.metadata.generator.impl.TemplateMetadataGeneratorParameters

`getTemplatePath`

## Field Details

### log

private final org.slf4j.Logger log
Logger.

### encryptionCert

@Nullable private File encryptionCert
The file with the certificate the IDP uses to encrypt.

### backChannelCert

@Nullable private File backChannelCert
The file with the certificate that TLS uses to 'sign'.

### signingCert

@Nullable private File signingCert
The file with the certificate the IDP uses to sign.

### entityID

@NonnullAfterInit private String entityID
The entityID.

### dnsName

@NonnullAfterInit private String dnsName
The DNS name.

### scope

@Nullable private String scope
The scope.

### contextPath

@NonnullAfterInit private String contextPath
The base URL for IdP endpoints.

### logoutServices

@Nonnull private List<Pair<String,String>> logoutServices
logout services.

### ssoServices

@Nonnull private List<Pair<String,String>> ssoServices
sso services.

### artifactServices

@Nonnull private final List<Pair<String,String>> artifactServices
artifact services.

## Constructor Details

### InstalledMetadataParameters

public InstalledMetadataParameters()

## Method Details

### setupSevices

private void setupSevices()
Setup services lists `logoutServices` {#link `ssoServices`, consulting `contextPath`.

### setContextPath

public void setContextPath(@Nonnull String what)
Sets the context path for IdP endpoints.

Parameters:
  `what` - what to set.

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`

### setEncryptionCertResource

public void setEncryptionCertResource(@Nonnull Resource resource)
Set the encryption Certificate file.

Parameters:
  `resource` - what to set.

### setSigningCertResource

public void setSigningCertResource(@Nonnull Resource resource)
Set the signing Certificate file.

Parameters:
  `resource` - what to set.

### setBackchannelCertResource

public void setBackchannelCertResource(@Nonnull Resource resource)
Set the Backchannel Certificate.

Parameters:
  `resource` - what to set.

### getEncodedCertificate

@Nullable private String getEncodedCertificate(@Nullable File file)
Load a certificate from a file in a standard format and produce a base64-encoded DER string.

Parameters:
  `file` - certificate file
Returns:
  encoded string

### setEntityID

public void setEntityID(@Nonnull String id)
Sets the entityID.

Parameters:
  `id` - what to set.

### setDnsName

public void setDnsName(@Nonnull String name)
Sets the dns name.

Parameters:
  `name` - what to set.

### setScope

public void setScope(@Nullable String value)
Sets the scope.

Parameters:
  `value` - what to set.

### getEntityID

@Nullable public String getEntityID()

Specified by:
  `getEntityID` in interface `MetadataGeneratorParameters`

### getAdditionalNamespaces

@Nullable public Set<Namespace> getAdditionalNamespaces()

Specified by:
  `getAdditionalNamespaces` in interface `MetadataGeneratorParameters`

### convertEndpoints

@Nonnull private <T extends Endpoint> Collection<T> convertEndpoints(@Nonnull BiFunction<String,List<String>,T> converter, @Nonnull @Live List<String> protocols, @Nonnull Collection<Pair<String,String>> input)
Convert the expressions into endpoints.

Type Parameters:
  `T` - endpoint type
Parameters:
  `converter` - endpoint converter
  `protocols` - accumulator for protocol support values
  `input` - raw argument list
Returns:
  converted endpoints

### getIDPSSODescriptor

@Nullable public IDPSSODescriptor getIDPSSODescriptor()

Specified by:
  `getIDPSSODescriptor` in interface `MetadataGeneratorParameters`

### getSigningCertificates

@Nonnull @Unmodifiable @NotLive public List<String> getSigningCertificates()

Specified by:
  `getSigningCertificates` in interface `MetadataGeneratorParameters`

### getEncryptionCertificates

@Nonnull @Unmodifiable @NotLive public List<String> getEncryptionCertificates()

Specified by:
  `getEncryptionCertificates` in interface `MetadataGeneratorParameters`

### getLang

@Nullable public String getLang()

Specified by:
  `getLang` in interface `MetadataGeneratorParameters`

### getDisplayName

@Nullable public String getDisplayName()

Specified by:
  `getDisplayName` in interface `MetadataGeneratorParameters`

### getDescription

@Nullable public String getDescription()

Specified by:
  `getDescription` in interface `MetadataGeneratorParameters`

### getLogo

@Nullable public Logo getLogo()

Specified by:
  `getLogo` in interface `MetadataGeneratorParameters`

### getScopes

@Nonnull @Unmodifiable @NotLive public List<String> getScopes()

Specified by:
  `getScopes` in interface `MetadataGeneratorParameters`